#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3};
}

int getMove1d(std::vector<int> v)
{
    int idx = v.size() / 2;
    if (v[idx - 1] + 1 == v[idx] || v[idx] + 1 == v[idx + 1])
        return idx + 1;
    else
        return idx - 1;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
